Security Enhanced Linux Reference Policy

# Layer: contrib

## Module: alsa

Interfaces Templates

### Description:

Advanced Linux Sound Architecture utilities.

### Interfaces:

alsa_domtrans( domain )

##### Summary

Execute a domain transition to run Alsa.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

alsa_home_filetrans_alsa_home( domain , object_class , name )

##### Summary

Create objects in user home directories with the generic alsa home type.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
object_class | Class of the object being created.
name | The name of the object being created.

alsa_manage_home_files( domain )

##### Summary

Create, read, write, and delete alsa home files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

alsa_manage_rw_config( domain )

##### Summary

Manage writable Alsa config files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

alsa_read_home_files( domain )

##### Summary

Read Alsa home files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

alsa_read_lib( domain )

##### Summary

Read Alsa lib files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

alsa_read_rw_config( domain )

##### Summary

Read writable Alsa configuration content.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

alsa_relabel_home_files( domain )

##### Summary

Relabel alsa home files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

alsa_run( domain , role )

##### Summary

Execute a domain transition to run Alsa, and allow the specified role the Alsa domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
role | Role allowed access.

alsa_rw_semaphores( domain )

##### Summary

Read and write Alsa semaphores.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

alsa_rw_shared_mem( domain )

##### Summary

Read and write Alsa shared memory.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

alsa_write_lib( domain )

##### Summary

Write Alsa lib files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return

### Templates:

alsa_role( role , domain )

##### Summary

Role access for alsa.

##### Parameters

Parameter: | Description:
--- | ---
role | Role allowed access.
domain | User domain for the role.

Return